org.wso2.carbon.device.mgt.mobile.windows.api.services.discovery.impl

## Class DiscoveryServiceImpl

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.discovery.impl.DiscoveryServiceImpl

- All Implemented Interfaces:
    DiscoveryService

      @Addressing(enabled=true,
                  required=true)
      @BindingType(value="http://www.w3.org/2003/05/soap/bindings/HTTP/")
      public class DiscoveryServiceImpl
      extends Object
      implements DiscoveryService

  Implementation class of Discovery Request. This class implements the first two services of device enrolment stage.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FEDERATED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiscoveryServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `discover(DiscoveryRequest discoveryRequest, Holder<DiscoveryResponse> response)` This method returns the OnPremise AuthPolicy and next two endpoint the mobile device should call if this response to received successfully at the device end.
    `String` | `getAuthPolicy()` Get authentication policy from the tenant configuration, otherwise set default value as Federated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FEDERATED

          public static final String FEDERATED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DiscoveryServiceImpl

          public DiscoveryServiceImpl()

  - ### Method Detail

    - #### discover

          public void discover(DiscoveryRequest discoveryRequest,
                      Holder<DiscoveryResponse> response)
                        throws WindowsDeviceEnrolmentException

      This method returns the OnPremise AuthPolicy and next two endpoint the mobile device should call if this response to received successfully at the device end. This method is called by device immediately after the first GET method calling for the same endpoint.
      Specified by:
        `discover` in interface `DiscoveryService`
      Parameters:
        `discoveryRequest` - - Request bean comes via mobile phone
        `response` - - DiscoveryResponse bean for response
      Throws:
        `WindowsDeviceEnrolmentException`

    - #### getAuthPolicy

          public String getAuthPolicy()
                               throws WindowsDeviceEnrolmentException

      Get authentication policy from the tenant configuration, otherwise set default value as Federated.
      Returns:
        Authentication policy.
      Throws:
        `WindowsDeviceEnrolmentException`

Copyright © 2017 WSO2. All rights reserved.